// Copyright (C) 2003-2021, Foxit Software Inc..
// All Rights Reserved.
//
// http://www.foxitsoftware.com
//
// The following code is copyrighted and contains proprietary information and trade secrets of Foxit Software Inc..
// You cannot distribute any part of Foxit PDF SDK to any third party or general public,
// unless there is a separate license agreement with Foxit Software Inc. which explicitly grants you such rights.
//
// This file contains a simple example to demonstrate how to implement a callback class ActionCallback which is used
// for dynamic stamp annotations.

import com.foxit.sdk.common.Range;
import com.foxit.sdk.common.fxcrt.RectF;
import com.foxit.sdk.pdf.PDFDoc;
import com.foxit.sdk.ActionCallback;
import com.foxit.sdk.IdentityProperties;
import com.foxit.sdk.MenuListArray;
import com.foxit.sdk.PDFException;
import com.foxit.sdk.pdf.Signature;

import com.foxit.sdk.common.Constants;

public class MyActionCallback extends ActionCallback {

	private PDFDoc pDoc;
	public MyActionCallback(PDFDoc doc) {
		pDoc = doc;
	}

	@Override
	public void release() {

	}

	@Override
	public boolean invalidateRect(PDFDoc document, int page_index, RectF pdf_rect) {
		return false;
	}

	@Override
	public int getCurrentPage(PDFDoc document) {
		return -1;
	}
	@Override
	public void setCurrentPage(PDFDoc document, int page_index) {
		
	}

	@Override
	public int getPageRotation(PDFDoc document, int page_index) {
		return Constants.e_Rotation0;
	}

	@Override
	public boolean setPageRotation(PDFDoc document, int page_index, int rotation) {
		return false;
	}

	@Override
	public boolean executeNamedAction(PDFDoc document, String named_action){
		return false;
	}

	@Override
	public boolean setDocChangeMark(PDFDoc document, boolean change_mark) {
		return false;
	}

	@Override
	public boolean getDocChangeMark(PDFDoc document) {
		return false;
	}

	@Override
	public int getOpenedDocCount() {
		return -1;
	}
	
	@Override
	public PDFDoc getOpenedDoc(int index) {
		return null;
	}
	
	@Override
	public PDFDoc getCurrentDoc() {
		return pDoc;
	}

    @Override
	public PDFDoc createBlankDoc() {
		return null;
	}

	@Override
	public boolean openDoc(String file_path, String password) {
		return false;
	}
  
	@Override
	public boolean beep(int type) {
		return false;
	}

	@Override
	public String response(String question, String title, String default_value, String label, boolean is_password) {
		return null;
	}
	
	@Override
	public String getFilePath(PDFDoc document) {
		return null;
	}
	
	@Override
	public boolean print(PDFDoc document, boolean is_ui, Range page_range, boolean is_silent, boolean is_shrunk_to_fit,
						 boolean is_printed_as_image, boolean is_reversed, boolean is_to_print_annots) {
		return false;
	}
	
	@Override
	public boolean submitForm(PDFDoc document, byte[] form_data, String url) {
		return false;
	}
	
	@Override
	public boolean launchURL(String url) {
		return false;
	}
	
	@Override
	public String browseFile() {
		return null;
	}
	
	@Override
	public String browseFile(boolean is_open_dialog, String file_format, String file_filter) {
		return null;
	}
	
	@Override
	public int getLanguage() {
		return e_LanguageCHS;
	}
	
	@Override
	public int alert(String msg, String title, int type, int icon) {
		return 0;
	}
	
	@Override
	public IdentityProperties getIdentityProperties() {
		return new IdentityProperties("foxitsoftware", "simple_demo@foxitsoftware.cn", "simple demo", "Simple");
	}
	
	@Override
	public String popupMenu(MenuListArray menus) {
		return null;
	}
	
	@Override
	public String getAppInfo(int type) {
		return null;
	}
	
	@Override
	public boolean mailData(java.lang.Object data, boolean is_ui, String to, String subject, String cc, String bcc, String message) {
		return false;
	}
  
  @Override
	public int verifySignature(PDFDoc document, Signature pdf_signature) {
		return com.foxit.sdk.pdf.Signature.e_StateUnknown;
	}
}
